#!/usr/bin/env python
#^#
# OVSConstants.py
#
# <description>
#
#
# Copyright (C) 2006, 2007 Oracle.  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 021110-1307, USA.
#$#

AGENT_DIR = "/opt/ovs-agent-2.2"

#agent config
CONFIG_DIR = "/etc/ovs-agent"
#the local info are on shared storage, mainly for HA
CONFIG_DIR_SHARED="/OVS/agent_config"

#defaut values
DEFAULT_AGENT_USERNAME  = "oracle"
DEFAULT_AGENT_PASSWD = "orac1e"
DEFAULT_AGENT_PORT = 8899

#storage configuration
OVS_BASE = "/OVS"
STORAGE_REPO_CONFIG = "/etc/ovs/repositories"
#oracle vm system config
OVS_CONFIG = "/etc/ovs-config"

#hard limits imposed by xen
HVM_IDE_MAX_NUM = 4
HVM_SCSI_MAX_NUM = 7

#runtime dir
PID_DIR = '/var/run/ovs-agent'
SHUTDOWN_FLAG = "%s/OVSAgentServer.shutdown" % PID_DIR
AGENT_SHUTDOWN_MODE_FLAG = "%s/shutdown_mode" % PID_DIR
LOG_DIR = '/var/log/ovs-agent'

#ha
HA_TOUCH_PREFIX=".ha_"
HA_NFS_HEARTBEAT_FILE="/OVS/.server_pool_hb"
DLM = "/dlm"
DLM_DOMAIN = "/dlm/ovm"
DLM_LOCK_MASTER = "/dlm/ovm/master"
AGENT_LIVENESS_LOCK = "%s/agent.heart" % PID_DIR
AGENT_GUARD_PROCESS = "%s/OVSAgentGuard.py" % AGENT_DIR
XEND_CONFIG = "/etc/xen/xend-config.sxp"
XEND_DLM_LOCK = "(xend-domains-lock-path '%s/utils/dlm.py')\n" % AGENT_DIR

#compat
COMPAT_SBIN="/opt/oracle/usr/sbin"
COMPAT_LIB="/opt/oracle/usr/lib"
COMPAT_PYTHON_LIB="/opt/oracle/usr/lib/python2.4/site-packages"

