#!/usr/bin/env python
#^#
#
# Copyright (C) 2006, 2007 Oracle.  All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 021110-1307, USA.
#$#

#NOTE:
#create policy db as a module instead of persistenting it to a bdb,
#1) modify the policy dynamically is not necessary.
# ...

from OVSSiteVM import start_vm

policy = {
    # policyname : (trigger, action, action_params, on_success, on_error)

    #should not auto start:
    # *) a vm just created with tag autorestart
    # *) a vm shutdown/saved by agent (user intentionally to shutdown the vm)
    "vm_auto_start": ("vm['status'] == 'DOWN' and 'manual_shutdown' in vm and not vm['manual_shutdown']", "start_vm", "(vm_path, )", "NEXT", "NEXT"),

}

#vm.db
#vm = {#vm_name -> vm_attrs
#  <vm_name>: {...
# #policy  -> [(priority, policy_name), ...]
# "policy": [(11, 'vm_auto_start'), ...]
# }
#}, }
#

